Subject: Re: [bug#29960] [PATCH] gnu: Add emacs-evil-quickscope.

From: Catonano <[email-masked]>
Date: Wed, 3 Jan 2018 19:57:16 +0100

2018-01-03 7:18 GMT+01:00 Arun Isaac <[email-masked]>:

> * gnu/packages/emacs.scm (emacs-evil-quickscope): New variable.
> ---
>  gnu/packages/emacs.scm | 37 ++++++++++++++++++++++++++++++++++++-
>  1 file changed, 36 insertions(+), 1 deletion(-)
>
> diff --git a/gnu/packages/emacs.scm b/gnu/packages/emacs.scm
> index 538c79a50..ebee6f61b 100644
> --- a/gnu/packages/emacs.scm
> +++ b/gnu/packages/emacs.scm
> @@ -16,7 +16,7 @@
>  ;;; Copyright © 2016 Alex Griffin <[email-masked]>
>  ;;; Copyright © 2016, 2017 Nicolas Goaziou <[email-masked]>
>  ;;; Copyright © 2016, 2017 Alex Vong <[email-masked]>
> -;;; Copyright © 2016, 2017 Arun Isaac <[email-masked]>
> +;;; Copyright © 2016, 2017, 2018 Arun Isaac <[email-masked]>
>  ;;; Copyright © 2017 Christopher Baines <[email-masked]>
>  ;;; Copyright © 2017 Mathieu Othacehe <[email-masked]>
>  ;;; Copyright © 2017 Clément Lassieur <[email-masked]>
> @@ -6599,3 +6599,38 @@ evil mode using @kbd{%}.  It is a port of
> @code{matchit} for Vim.")
>  makes Evil play nice with Smartparens.  Evil is an Emacs minor mode that
>  emulates Vim features and provides Vim-like key bindings.")
>      (license license:gpl3+)))
> +
> +(define-public emacs-evil-quickscope
>

LGTM

Admittedly, I didn't build and lint this one

As for running it, I couldn't because, as I said, I'm too old to learn new
key combinations

But at a first glance it seems ok, I trust Arun that this runs fine

The license is actually GPL3+, as you can see here
https://github.com/blorbx/evil-quickscope/blob/master/LICENSE

The description mentions Evil and explains what it is

So as ar as I'm concerned, this is ok

Arun, you can commit on your own, you wouldn't need to post these little
things here ;-)

Ciao